Bug 1520311 - flatpak cannot be updated
Summary: flatpak cannot be updated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: flatpak
Version: 7.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: David King
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1519876
TreeView+ depends on / blocked
 
Reported: 2017-12-04 09:01 UTC by Vladimir Benes
Modified: 2018-04-10 12:54 UTC (History)
3 users (show)

Fixed In Version: flatpak-0.8.8-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 12:54:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0767 None None None 2018-04-10 12:54:49 UTC

Description Vladimir Benes 2017-12-04 09:01:44 UTC
Description of problem:
running flatpak update fails on 7.5

vbenes@localhost:~$ sudo flatpak update
Looking for updates...
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Warning: Can't find dependencies: open(O_TMPFILE): Invalid argument
Warning: Problem looking for related refs: open(O_TMPFILE): Invalid argument
Updating: com.skype.Client/x86_64/stable from flathub
Error: Failed to update com.skype.Client/x86_64/stable: open(O_TMPFILE): Invalid argument
Updating: com.spotify.Client/x86_64/stable from flathub
Error: Failed to update com.spotify.Client/x86_64/stable: open(O_TMPFILE): Invalid argument
Updating: net.sourceforge.chromium-bsu/x86_64/stable from flathub
Error: Failed to update net.sourceforge.chromium-bsu/x86_64/stable: open(O_TMPFILE): Invalid argument
Updating: org.gnome.Builder/x86_64/stable from flathub
Error: Failed to update org.gnome.Builder/x86_64/stable: open(O_TMPFILE): Invalid argument
Updating: org.gnome.Recipes/x86_64/master from gnome-nightly-apps
Error: Failed to update org.gnome.Recipes/x86_64/master: open(O_TMPFILE): Invalid argument
Updating: org.libreoffice.LibreOffice/x86_64/stable from flathub
Error: Failed to update org.libreoffice.LibreOffice/x86_64/stable: open(O_TMPFILE): Invalid argument
Updating: org.videolan.VLC/x86_64/stable from flathub
Error: Failed to update org.videolan.VLC/x86_64/stable: open(O_TMPFILE): Invalid argument
Updating: net.sourceforge.chromium_bsu.Locale/x86_64/stable from flathub
Error: Failed to update net.sourceforge.chromium_bsu.Locale/x86_64/stable: open(O_TMPFILE): Invalid argument
Updating: org.freedesktop.Platform.Locale/x86_64/1.6 from flathub
Error: Failed to update org.freedesktop.Platform.Locale/x86_64/1.6: open(O_TMPFILE): Invalid argument
Updating: org.freedesktop.Platform.VAAPI.Intel/x86_64/1.6 from flathub
Error: Failed to update org.freedesktop.Platform.VAAPI.Intel/x86_64/1.6: open(O_TMPFILE): Invalid argument
Updating: org.freedesktop.Platform/x86_64/1.6 from flathub
Error: Failed to update org.freedesktop.Platform/x86_64/1.6: open(O_TMPFILE): Invalid argument
Updating: org.freedesktop.Sdk.Locale/x86_64/1.6 from flathub
Error: Failed to update org.freedesktop.Sdk.Locale/x86_64/1.6: open(O_TMPFILE): Invalid argument
Updating: org.freedesktop.Sdk/x86_64/1.6 from flathub
Error: Failed to update org.freedesktop.Sdk/x86_64/1.6: open(O_TMPFILE): Invalid argument
Updating: org.gnome.Builder.Locale/x86_64/stable from flathub
Error: Failed to update org.gnome.Builder.Locale/x86_64/stable: open(O_TMPFILE): Invalid argument
Updating: org.gnome.Platform.Locale/x86_64/3.24 from gnome
Error: Failed to update org.gnome.Platform.Locale/x86_64/3.24: open(O_TMPFILE): Invalid argument
Updating: org.gnome.Platform.Locale/x86_64/master from gnome-nightly
Error: Failed to update org.gnome.Platform.Locale/x86_64/master: open(O_TMPFILE): Invalid argument
Updating: org.gnome.Platform/x86_64/3.24 from gnome
Error: Failed to update org.gnome.Platform/x86_64/3.24: open(O_TMPFILE): Invalid argument
Updating: org.gnome.Platform/x86_64/master from gnome-nightly
Error: Failed to update org.gnome.Platform/x86_64/master: open(O_TMPFILE): Invalid argument
Updating: org.gnome.Recipes.Locale/x86_64/master from gnome-nightly-apps
Error: Failed to update org.gnome.Recipes.Locale/x86_64/master: open(O_TMPFILE): Invalid argument
Updating: org.gnome.Sdk.Locale/x86_64/3.26 from flathub
Error: Failed to update org.gnome.Sdk.Locale/x86_64/3.26: open(O_TMPFILE): Invalid argument
Updating: org.gnome.Sdk/x86_64/3.26 from flathub
Error: Failed to update org.gnome.Sdk/x86_64/3.26: open(O_TMPFILE): Invalid argument
Updating: org.videolan.VLC.Locale/x86_64/stable from flathub
Error: Failed to update org.videolan.VLC.Locale/x86_64/stable: open(O_TMPFILE): Invalid argument
error: One or more operations failed


Version-Release number of selected component (if applicable):
flatpak-0.8.8-2.el7.x86_64
ostree-2017.5-3.el7.x86_64


How reproducible:
100%

Steps to Reproduce:
1. install flatpak
2. run flatpak update

Actual results:
error

Expected results:
smooth update

Additional info:

Comment 2 David King 2017-12-11 13:50:06 UTC
Disabling O_TMPFILE support in the bundled libglnx (in flatpak and the bundled ostree) fixes this, but it is an open question as to whether glibc or the kernel caused this regression in the first place (as apparently, it happens with older versions of flatpak too).

Comment 3 Jiri Koten 2017-12-11 16:47:44 UTC
It's mostl likely caused by the kernel. I have tested the rhel-7.5 userspace with 7.4.z kernel-3.10.0-693.5.2.el7 and I don't get the error.

Comment 8 errata-xmlrpc 2018-04-10 12:54:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0767


Note You need to log in before you can comment on or make changes to this bug.